﻿using System;
using System.Collections.Generic;
namespace HeuristicLab.DataPreprocessing {
  public interface IPreprocessingDataManipulation {
    void reOrderToIndices(IEnumerable<int> indices);
    void reOrderToIndices(IList<Tuple<int, int>> indices);
    void ReplaceIndicesByAverageValue(string variableName, IEnumerable<int> indices);
    void ReplaceIndicesByLinearInterpolationOfNeighbours(string variableName, IEnumerable<int> indices);
    void ReplaceIndicesByMedianValue(string variableName, IEnumerable<int> indices);
    void ReplaceIndicesByMostCommonValue(string variableName, IEnumerable<int> indices);
    void ReplaceIndicesByRandomValue(string variableName, IEnumerable<int> indices);
    void ReplaceIndicesByValue<T>(string variableName, IEnumerable<int> indices, T value);
    void ShuffleWithRanges(IEnumerable<HeuristicLab.Data.IntRange> ranges);
  }
}
