﻿using System.Windows.Forms;
using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;
using HeuristicLab.MainForm.WindowsForms;

namespace HeuristicLab.DataPreprocessing {

  [View("Statistics View")]
  [Content(typeof(StatisticsContent), false)]
  public partial class StatisticsView : ItemView {

    public new StatisticsContent Content {
      get { return (StatisticsContent)base.Content; }
      set { base.Content = value; }
    }

    public StatisticsView() {
      InitializeComponent();
    }

    protected override void OnContentChanged() {
      base.OnContentChanged();
      if (Content != null) {
        var logic = Content.StatisticsLogic;
        txtRows.Text = logic.GetRowCount().ToString();
        txtColumns.Text = logic.GetColumnCount().ToString();
        txtNumericColumns.Text = logic.GetNumericColumnCount().ToString();
        txtNominalColumns.Text = logic.GetNominalColumnCount().ToString();
        txtMissingValuesTotal.Text = logic.GetMissingValueCount().ToString();
      }
    }
  }
}
